@charset "UTF-8";
/*
 Theme Name: ohana-relationship[SANGO]
 Theme URI: https://ohana-relationship.com/
 Author: ohana-relationship
 Author URI: https://ohana-relationship.com/
 Template: sango-theme
 Version: 3.0
*/

:root {
	--color-bg:#ffffff;
	--color-txt:#454440;
	--color-paletxt:#8c897c;
	--color-main:#8b0000;
	--color-palemain:#f1817a;
	--color-sub:#c3baa5;
	--color-link:#88754b;
	--color-linkhv:#e9a513;
	--color-complete:#8b0000;
	--color-palecorrect:#f3f9ff;
	--color-incorrect:#8b0000;
	--color-paleincorrect:#fff5f8;
	--color-lds-border:#cdc3c2;
	--txt-xlarge:1.6em;
	--txt-large:1.4em;
	--txt-medium:1.1em;
	--txt-normal:1em;
	--txt-small:.9em;
	--txt-xsmall:.8em;
	--txt-xxsmall:.6em;
	--width-pc:84%;
	--width-lgpc:80%;
	--width-ulpc:72%;
	--width-sp:98%;
	--width-ls-sidewidth:260px;
	--width-pc-container:800px;
	--width-sp-container:100%;
	--grad-blue:linear-gradient(135deg, rgba(91,169,247,1) 0%, rgba(70,239,218,1) 100%);
	--grad-red:linear-gradient(135deg, rgba(205,69,83,1) 0%, rgba(226,165,15,1) 100%);
}

/* reset */
a,abbr,address,article,aside,audio,b,blockquote,body,canvas,caption,cite,code,
dd,del,details,dfn,div,dl,dt,em,fieldset,figcaption,figure,footer,form,
h1,h2,h3,h4,h5,h6,header,hgroup,html,i,iframe,img,ins,input,kbd,textarea,
label,legend,li,mark,menu,nav,object,ol,p,pre,q,samp,section,small,span,strong,sub,summary,sup,
table,tbody,td,tfoot,th,thead,time,tr,ul,var,video{box-sizing:border-box;margin:0;padding:0;word-wrap:break-word;overflow-wrap:break-word;}
h1,h2,h3,h4,h5,h6{font-size: 1.5em;}
table{border-collapse: collapse;}
a{text-decoration: none;}
li{list-style: none;}
img{display: block;max-width: 100%;height: auto;margin: auto;}


/* font */
html{font-size: calc(15px + .25vmax);height: 100%;line-height: 1.6;}
@media (max-width: 480px) {
	html{font-size: calc(12px + .25vmax);}
}

html body{/*font-family: Lato,Arial,'メイリオ','Meiryo','ヒラギノ角ゴ Pro W3','Hiragino Kaku Gothic Pro','ＭＳ Ｐゴシック',sans-serif;*/min-width: 300px;color: var(--color-txt);background: #fff;}

/* pc-sp switch */
.display-pc{display: block;}.display-sp{display: none;}
.display-pc-in{display: inline-block;vertical-align: middle;}.display-sp-in{display: none;}
@media (max-width: 480px) {
	.display-pc{display: none;}.display-sp{display: block;}
	.display-pc-in{display: none;}.display-sp-in{display: inline-block;vertical-align: middle;}
}


/* base */
body a{color: var(--color-link);text-decoration: none!important;}
body a:hover{color: var(--color-linkhv);}
body li{list-style: none;}
body img{display: block;margin: auto;}
#container #content{margin: 1em auto;padding: 0;}
#container #content main,
#container #content #inner-content{position: relative;width: 100%;float: none;padding: 0;overflow: hidden;}
#entry{width: var(--width-pc);margin: 0 auto;padding: 0;}
#entry .article-header{margin: 0 0 1rem 0;}
#entry .entry-content{padding: 0;}

@media (max-width: 480px) {
	/* base sp */
	.contents,#aside,#footer nav{width: var(--width-sp);margin: 2vmax auto;padding: 2vmax 0;}
}

/* formbase */
body.login #login{width: 40%;}
@media (max-width: 480px) {
	body.login #login{width: 96%;}
}

/* logo */
body.login h1 a{width: auto;background-size: contain;margin-bottom: 10px;height: 120px;background-image: url(https://www.uka-education.com/wp-content/uploads/uka_logo.webp);}

/* form */
body.login form{border: 0;}
body.login form .input,
body.login form input[type=checkbox],
body.login input[type=text]{font-size: 2em;line-height: 1.2;padding: .3em .5em;border: 1px solid var(--color-paletxt);background-color: rgb(0 0 0 / 2%);}
body.login form .input:focus,
body.login form input[type=checkbox]:focus,
body.login input[type=text]:focus{background: #fff;outline: none;border: 1px solid var(--color-main);box-shadow: 0 0 0 1px var(--color-main);}
body.login .message{border: 0;}
body #login .forgetmenot,
body #login .submit{float: none;display: flow-root;text-align: center;}
body #login .button-primary{float: none;display: block;width: 80%;font-size: 1.2rem;background: var(--color-main);border: 0;margin: 1rem auto;}
body #login .button-secondary{color: var(--color-main);}
body #login .button-secondary:focus{border: 0;border-color: none;box-shadow: none;}
body.login #nav,body.login #backtoblog{text-align: right;}
body.login #backtoblog{margin: .5em 0;}


/* ログインエラー パスワードリセット ログインページメッセージ */
#login .oros-login-attention{font-size: var(--txt-xlarge);padding: 2em 0;}
#login .oros-login-attention p{padding: 1em 0;}
#login .oros-login-attention p:nth-child(1){color: var(--color-main);font-weight: bold;}
#login .oros-login-attention p:nth-child(2){font-size: var(--txt-xsmall);}

#login .oros-reset-newpass p:nth-child(1){font-size: var(--txt-large);color: var(--color-main);font-weight: bold;}
#login .oros-reset-newpass p:nth-child(2){font-size: var(--txt-small);}

#login .oros-reset-pass{text-align: center;}
#login .oros-login-gologinlink{padding: .5em 2em;}
#login .oros-loginnav-register{padding: 0 .5em;}




/* デフォルトボタン */
.oros-login-gologinlink,
body button:not(.wp-hide-pw):not(.wp-generate-pw),
body input[type="button"],
body input[type="reset"],
body input[type="submit"],
.oros-defbutton a,
#main .my-page-plzbtn a{
	color: #fff;padding: .4em 2em;border: none;border-radius: .3em;transition: .3s ease-in-out;
	box-shadow: 0 2px 3px rgba(0,0,0,.2), 0 2px 3px -2px rgba(0,0,0,.15)!important;
	background: var(--color-main);
}
.oros-login-gologinlink:hover,
body button:not(.wp-hide-pw):not(.wp-generate-pw):hover,
body input[type="button"]:hover,
body input[type="reset"]:hover,
body input[type="submit"]:hover,
.oros-defbutton a:hover,
#main .my-page-plzbtn a:hover{
	color: #fff;
	background: linear-gradient(135deg, rgba(91,169,247,1) 0%, rgba(70,239,218,1) 100%);
	box-shadow: 0 13px 20px -3px rgba(0,0,0,.20);
	animation-name: lnk_gradation;
	animation-duration:10s;
	animation-iteration-count: infinite;
	animation-timing-function:linear;
	animation-fill-mode: backwards;
}
@keyframes lnk_gradation{
	 0%{filter: hue-rotate(0deg);}
	100%{filter:hue-rotate(360deg);}
}

